hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HBASE-19790) Fix compatibility break in 1.3.2-SNAPSHOT
Date Sat, 13 Jan 2018 01:29:00 GMT

     [ https://issues.apache.org/jira/browse/HBASE-19790?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrew Purtell updated HBASE-19790:
-----------------------------------
    Attachment: HBASE-19790-branch-1.3.patch

Very easy fix. Leave the bug fix in place, just drop the change from the interface.

> Fix compatibility break in 1.3.2-SNAPSHOT
> -----------------------------------------
>
>                 Key: HBASE-19790
>                 URL: https://issues.apache.org/jira/browse/HBASE-19790
>             Project: HBase
>          Issue Type: Bug
>    Affects Versions: 1.3.2
>            Reporter: Andrew Purtell
>            Assignee: Andrew Purtell
>            Priority: Blocker
>             Fix For: 1.3.2
>
>         Attachments: HBASE-19790-branch-1.3.patch
>
>
> This change is disallowed in a patch release:
> {code}
> package org.apache.hadoop.hbase.regionserver
> interface Region 
> Abstract method closeRegionOperation ( Region.Operation ) has been added to this interface.
> Recompilation of a client program may be terminated with the message: a client class
C is not abstract and does not override abstract method closeRegionOperation ( Region.Operation
) in Region.
> {code}
> Region is a LimitedPrivate(COPROC) interface.
> See https://hbase.apache.org/book.html#hbase.versioning
> {quote}
> New APIs introduced in a patch version will only be added in a source compatible way
[1]: i.e. code that implements public APIs will continue to compile.
> {quote}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message